Contents

# Print# Statement

Outputs the specified strings or numeric expressions to the screen or to a sequential file.

Use Put# statement to write data to a binary or a random file. Use Write# statement to write data to a sequential text file with delimiting characters.

### Syntax:

    Print [#filenum,] expression1[{;|,} [Spc(number As Integer);] [Tab(pos As Integer);] [expression2[...]]

### Parameters:

filenum: Any numeric expression that contains the file number that was set by the Open statement for the respective file.

expression: Any numeric or string expression to be printed. Multiple expressions can be separated by a semicolon. If separated by a comma, the expressions are indented to the next tab stop. The tab stops cannot be adjusted.

number: Number of spaces to be inserted by the Spc function.

pos: Spaces are inserted until the specified position.

ako je zarez ili tackazarez poslije zadnjeg izraza printovana, LibreOffice osnovna ubacuje tekst u interni bafer i nastavlja program bez štampanja kad je neka druga print recenica bez tacke zareza ili zareza na kraju pojavi, citav tekst je printan odjednom.

pozitivni su štampani . negativni su štampani bez minusa. ako je rang predjen onda se brojevi printaj eksponencijalno.

kad predje velicinu displej prelazi u novi red

You can insert the Tab function, enclosed by semicolons, between arguments to indent the output to a specific position, or you can use the Spc function to insert a specified number of spaces.

### Example:

    Sub ExamplePrint
        Print "ABC"
        Print "ABC","123"
        i = FreeFile()
        Open "C:\Users\ThisUser\Temp.txt" For Output As i
        Print #i, "ABC"
        Close #i
    End Sub

    Sub ExamplePrint
        Print "ABC"
        Print "ABC","123"
        i = FreeFile()
        Open "~/temp.txt" For Output As i
        Print #i, "ABC"
        Close #i
    End Sub

Related Topics

Close Statement

Put# Statement

Open Statement

Write# Statement